# GetBulkStateRequest (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Class GetBulkStateRequest

- java.lang.Object
- - io.dapr.client.domain.GetBulkStateRequest

    public class GetBulkStateRequest
    extends Object

A request to get bulk state by keys.

### Constructor Summary

Constructors
`GetBulkStateRequest​(String storeName, String... keys)`
`GetBulkStateRequest​(String storeName, List<String> keys)` Constructor for GetBulkStateRequest.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `getKeys()`
`Map<String,​String>` `getMetadata()`
`int` `getParallelism()`
`String` `getStoreName()`
`GetBulkStateRequest` `setMetadata​(Map<String,​String> metadata)`
`GetBulkStateRequest` `setParallelism​(int parallelism)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetBulkStateRequest

    public GetBulkStateRequest​(String storeName,
                               List<String> keys)

Constructor for GetBulkStateRequest.

Parameters:
  `storeName` - Name of the state store
  `keys` - keys for the state objects

#### GetBulkStateRequest

    public GetBulkStateRequest​(String storeName,
                               String... keys)

### Method Detail

#### getStoreName

    public String getStoreName()

#### getKeys

    public List<String> getKeys()

#### getParallelism

    public int getParallelism()

#### setParallelism

    public GetBulkStateRequest setParallelism​(int parallelism)

#### getMetadata

    public Map<String,​String> getMetadata()

#### setMetadata

    public GetBulkStateRequest setMetadata​(Map<String,​String> metadata)